﻿
(function () {
    "use strict";
    var custmodule = angular.module('mx.components');

    var SendEMailCtrl = function ($scope, $sce) {

        var vm = this;

        vm.$onInit = function () {
            vm.journalentrylist = null;
        };

        $scope.showContent = function (journalentry) {
            journalentry.show = journalentry.show === undefined ? true : journalentry.show ? false : true;
        };

        $scope.$watchCollection('[vm.journalentrylist]',
            function (sendemailobjects) {
                if (sendemailobjects[0]) {
                    $scope.journalentrylist = sendemailobjects[0];
                }
            });
    };

    SendEMailCtrl.$inject = ['$scope', '$sce'];

    custmodule.component('mxEmailwithjournal', {
        controller: SendEMailCtrl,
        controllerAs: 'vm',
        bindings: {
            journalentrylist: '=journalentrylist'
        },
        scope: {},
        templateUrl: '/WM/workspaces/ServiceStore/CustomModules/SendEmail/SendEmail.html'
    });

})();